//Arduino Gesture Controlled Robot
//Created By: bestengineeringprojects.com
//Created Date : 11-01-2017
int groundpin = 18;             // analog input pin 4
int powerpin = 19;              // analog input pin 5
int xpin = A3;                   // x-axis of the accelerometer
int ypin = A2;                   // y-axis
int zpin = A1;                   // z-axis (only on 3-axis models)

long x_max=400;
long x_min=385;
long y_max=360;
long y_min=345;

int out1 = 8;
int out2 = 9;
int out3 = 10;
int out4 = 11;

long x = 0;
long y = 0;

void setup()
{
  // initialize the serial communications:
  Serial.begin(9600);
  // output pins for RF signals  
  pinMode(out1, OUTPUT);
  pinMode(out2, OUTPUT);
  pinMode(out3, OUTPUT);
  pinMode(out4, OUTPUT);
  
  pinMode(groundpin, OUTPUT);
  pinMode(powerpin, OUTPUT);
  digitalWrite(groundpin, LOW);
  digitalWrite(powerpin, HIGH);
}
void loop()
{
  x = analogRead(xpin);
  y = analogRead(ypin);
  if ((x > x_max)) 
  {                             
    bwk();
    Serial.println("motion in backward");
    delay(100);
  }
  else if (( x < x_min))
  { 
    fwd();
    Serial.println("motion in forward");
    delay(100);
  } 
  else if ((y > y_max))
  { 
    lft();
    Serial.println("motion in left");
    delay(100);
  }
  else if ((y < y_min))
  { 
    rgt();
    Serial.println("motion in right");
    delay(100);
   }
  else if (x <= x_max && x >= x_min && y >= y_min && y <= y_max)  
  { 
    stp();// nothing
    Serial.println("Motion is not detected");
    delay(100);
}
}
void stp()
{
  digitalWrite(out1,LOW);
  digitalWrite(out2,LOW);
  digitalWrite(out3,LOW);
  digitalWrite(out4,LOW);
}   
void fwd()
{  digitalWrite(out1,HIGH);
   digitalWrite(out2,LOW);
   digitalWrite(out3,HIGH);
   digitalWrite(out4,LOW);
}
void bwk()
{   digitalWrite(out1,LOW);
    digitalWrite(out2,HIGH);
    digitalWrite(out3,LOW);
    digitalWrite(out4,HIGH);
}
void lft()
{   digitalWrite(out1,LOW);
    digitalWrite(out2,HIGH);
    digitalWrite(out3,HIGH);
    digitalWrite(out4,LOW);
}

void rgt()
{   digitalWrite(out1,HIGH);
    digitalWrite(out2,LOW);
    digitalWrite(out3,LOW);
    digitalWrite(out4,HIGH);
}
